| DocBook: The Definitive Guide Version 2.0.8 (Alpha)

# graphic

$Revision: 1.3 $

$Date: 2002/06/12 11:18:11 $

graphic — A displayed graphical object (not an inline)

## Synopsis

### Content Model

    graphic ::=
    EMPTY

### Attributes

Common attributes

Name | Type | Default
srccredit | CDATA | None

valign

Enumeration:
bottom
middle
top

None

width | CDATA | None
contentwidth | CDATA | None

format

Enumeration:
BMP
CGM-BINARY
CGM-CHAR
CGM-CLEAR
DITROFF
DVI
EPS
EQN
FAX
GIF
GIF87a
GIF89a
IGES
JPEG
JPG
linespecific
PCX
PIC
PNG
PS
SGML
SVG
TBL
TEX
TIFF
WMF
WPG

None

entityref | ENTITY | None
fileref | CDATA | None
scalefit | CDATA | None
depth | CDATA | None
scale | CDATA | None
contentdepth | CDATA | None

align

Enumeration:
center
left
right

None

## Description

This element contains graphical data, or a pointer to an external entity containing graphical data. One of the deficiencies of the DocBook `Graphic` element is that there is no way to specify an alternate text description of the graphic. This has been rectified by the introduction of `MediaObject`.

### Processing expectations

Formatted as a displayed block.

There are several ways to provide content for a `Graphic`. It is best to use only one of these methods. However, if multiple graphic sources are provided, the processing expectations are as follows: element content should be used in favor of either `EntityRef` or `FileRef` and `EntityRef` should be used in favor of `FileRef`.

### Future Changes

In DocBook V4.0, `Graphic` will be declared `EMPTY`. This change will require that any embedded graphic content be stored outside the SGML source and pointed to with an `EntityRef` or `FileRef` attribute.

### Future Changes

In DocBook V5.0, `Graphic` will be discarded. At that time, graphics will have to be incorporated using `MediaObject` or `InlineMediaObject`.

### Parents

These elements contain graphic: `answer`, `appendix`, `appendixinfo`, `article`, `articleinfo`, `bibliodiv`, `bibliography`, `bibliographyinfo`, `blockinfo`, `blockquote`, `bookinfo`, `callout`, `caution`, `chapter`, `chapterinfo`, `constraintdef`, `entry`, `equation`, `example`, `figure`, `footnote`, `glossary`, `glossaryinfo`, `glossdef`, `glossdiv`, `graphicco`, `important`, `index`, `indexdiv`, `indexinfo`, `informalequation`, `informalexample`, `informalfigure`, `informaltable`, `inlineequation`, `itemizedlist`, `listitem`, `msgexplan`, `msgtext`, `note`, `objectinfo`, `orderedlist`, `para`, `partinfo`, `partintro`, `preface`, `prefaceinfo`, `procedure`, `qandadiv`, `qandaset`, `question`, `refentryinfo`, `referenceinfo`, `refsect1`, `refsect1info`, `refsect2`, `refsect2info`, `refsect3`, `refsect3info`, `refsection`, `refsectioninfo`, `refsynopsisdiv`, `refsynopsisdivinfo`, `revdescription`, `screenshot`, `sect1`, `sect1info`, `sect2`, `sect2info`, `sect3`, `sect3info`, `sect4`, `sect4info`, `sect5`, `sect5info`, `section`, `sectioninfo`, `setindex`, `setindexinfo`, `setinfo`, `sidebar`, `sidebarinfo`, `simplesect`, `step`, `synopsis`, `table`, `tip`, `variablelist`, `warning`.

## Attributes

align

  `Align` specifies the horizontal alignment of the graphic on the page or within the element that frames it.

depth

  `Depth` specifies the desired depth (vertical distance, at least in horizontal writing systems) of the image.

entityref

  `EntityRef` identifies the general entity which contains (or points to) the content of the graphic.

fileref

  `FileRef` specifies the name of the file which contains the content of the graphic.

format

  `Format` identifies the format of the graphic content. The `Format` must be a defined notation.

scale

  `Scale` specifies integer representing a percentage scaling factor (retaining the relative dimensions of the original graphic). If unspecified, the value 100 (100%) is assumed.

scalefit

  If `ScaleFit` has the value 1 (true), then the graphic is to be scaled (uniformly) to the specified width or depth. The default value of 0 (false) indicates that the image will not be scaled to fit (although it may still be scaled by the `Scale` attribute).

srccredit

  `SrcCredit` contains details about the source of the `Graphic`.

width

  `Width` indicates the width of the graphic.

## See Also

`alt`, `audioobject`, `caption`, `imageobject`, `inlinegraphic`, `inlinemediaobject`, `mediaobject`, `textobject`, `videoobject`.

## Examples

    <!DOCTYPE figure PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN"
              "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd">
    <figure><title>Notre Dame Cathedral</title>
    <graphic srccredit="Norman Walsh, 1998" fileref="figures/notredame.png"/>
    </figure>

Figure 4. Notre Dame Cathedral

For additional examples, see also `equation`, `figure`, `graphicco`, `informalequation`, `inlineequation`, `screenshot`.

glossterm |  | graphicco

Copyright © 1999, 2000, 2001, 2002 O'Reilly & Associates, Inc. All rights reserved.